Bug 612726 - SELinux is preventing /usr/sbin/rpc.nfsd "setsched" access .
SELinux is preventing /usr/sbin/rpc.nfsd "setsched" access .
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:1b54280d577...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-08 17:05 EDT by Lucas Stach
Modified: 2011-06-29 09:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 09:47:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lucas Stach 2010-07-08 17:05:11 EDT
Zusammenfassung:

SELinux is preventing /usr/sbin/rpc.nfsd "setsched" access .

Detaillierte Beschreibung:

[rpc.nfsd hat einen zugelassenen Typ (nfsd_t). Dieser Zugriff wurde nicht
verweigert.]

SELinux denied access requested by rpc.nfsd. It is not expected that this access
is required by rpc.nfsd and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Zugriff erlauben:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Zusätzliche Informationen:

Quellkontext                  system_u:system_r:nfsd_t:s0
Zielkontext                   system_u:system_r:kernel_t:s0
Zielobjekte                   None [ process ]
Quelle                        rpc.nfsd
Quellpfad                     /usr/sbin/rpc.nfsd
Port                          <Unbekannt>
Host                          (entfernt)
RPM-Pakete der Quelle         nfs-utils-1.2.1-4.fc12
RPM-Pakete des Ziels          
Richtlinien-RPM               selinux-policy-3.6.32-108.fc12
SELinux aktiviert             True
Richtlinientyp                targeted
Enforcing-Modus               Enforcing
Plugin-Name                   catchall
Rechnername                   (entfernt)
Plattform                     Linux (entfernt) 2.6.32.10-90.lsbfs.fc12.x86_64
                              #1 SMP Tue Mar 30 17:02:54 CEST 2010 x86_64 x86_64
Anzahl der Alarme             10
Zuerst gesehen                Do 15 Apr 2010 20:56:06 CEST
Zuletzt gesehen               Do 15 Apr 2010 20:56:06 CEST
Lokale ID                     61367205-785a-4410-b563-bf241fbf8bf7
Zeilennummern                 

Raw-Audit-Meldungen           

node=(entfernt) type=AVC msg=audit(1271357766.692:20): avc:  denied  { setsched } for  pid=2937 comm="rpc.nfsd" scontext=system_u:system_r:nfsd_t:s0 tcontext=system_u:system_r:kernel_t:s0 tclass=process

node=(entfernt) type=AVC msg=audit(1271357766.692:20): avc:  denied  { setsched } for  pid=2937 comm="rpc.nfsd" scontext=system_u:system_r:nfsd_t:s0 tcontext=system_u:system_r:kernel_t:s0 tclass=process

node=(entfernt) type=AVC msg=audit(1271357766.692:20): avc:  denied  { setsched } for  pid=2937 comm="rpc.nfsd" scontext=system_u:system_r:nfsd_t:s0 tcontext=system_u:system_r:kernel_t:s0 tclass=process

node=(entfernt) type=AVC msg=audit(1271357766.692:20): avc:  denied  { setsched } for  pid=2937 comm="rpc.nfsd" scontext=system_u:system_r:nfsd_t:s0 tcontext=system_u:system_r:kernel_t:s0 tclass=process

node=(entfernt) type=AVC msg=audit(1271357766.692:20): avc:  denied  { setsched } for  pid=2937 comm="rpc.nfsd" scontext=system_u:system_r:nfsd_t:s0 tcontext=system_u:system_r:kernel_t:s0 tclass=process

node=(entfernt) type=AVC msg=audit(1271357766.692:20): avc:  denied  { setsched } for  pid=2937 comm="rpc.nfsd" scontext=system_u:system_r:nfsd_t:s0 tcontext=system_u:system_r:kernel_t:s0 tclass=process

node=(entfernt) type=AVC msg=audit(1271357766.692:20): avc:  denied  { setsched } for  pid=2937 comm="rpc.nfsd" scontext=system_u:system_r:nfsd_t:s0 tcontext=system_u:system_r:kernel_t:s0 tclass=process

node=(entfernt) type=AVC msg=audit(1271357766.692:20): avc:  denied  { setsched } for  pid=2937 comm="rpc.nfsd" scontext=system_u:system_r:nfsd_t:s0 tcontext=system_u:system_r:kernel_t:s0 tclass=process

node=(entfernt) type=AVC msg=audit(1271357766.692:20): avc:  denied  { setsched } for  pid=2937 comm="rpc.nfsd" scontext=system_u:system_r:nfsd_t:s0 tcontext=system_u:system_r:kernel_t:s0 tclass=process

node=(entfernt) type=SYSCALL msg=audit(1271357766.692:20): arch=c000003e syscall=1 success=yes exit=2 a0=3 a1=7f7b737f16c0 a2=2 a3=7fff9335cec0 items=0 ppid=2936 pid=2937 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="rpc.nfsd" exe="/usr/sbin/rpc.nfsd" subj=system_u:system_r:nfsd_t:s0 key=(null)



Hash String generated from  catchall,rpc.nfsd,nfsd_t,kernel_t,process,setsched
audit2allow suggests:

#============= nfsd_t ==============
allow nfsd_t kernel_t:process setsched;
Comment 1 Daniel Walsh 2010-07-12 16:36:00 EDT
Miroslav add

kernel_setsched(nfsd_t)
Comment 2 Miroslav Grepl 2010-07-13 03:41:25 EDT
Fixed in selinux-policy-3.7.19-36.fc13.
Comment 3 Fedora Update System 2010-07-14 10:25:34 EDT
selinux-policy-3.7.19-37.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-37.fc13
Comment 4 Fedora Update System 2010-07-14 19:07:28 EDT
selinux-policy-3.7.19-37.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-37.fc13
Comment 5 Fedora Admin XMLRPC Client 2010-11-08 16:51:59 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2010-11-08 16:53:21 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2010-11-08 16:55:58 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Bug Zapper 2011-06-01 10:23:16 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2011-06-29 09:47:45 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.